/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 versions,not ie > 0,not dead
*/

/* ================================== Page Areas ======================== */

/* html { */
/* font-size: clamp(1rem, 0.9049rem + 0.4225vw, 1.75rem); */
/* } */

html {
	font-size: 1rem;
}

@media (min-width: 1200px) {
	html {
		font-size: 1.5rem;
	}
}

body {
	transition: transform 470ms ease-in-out 450ms;
	overscroll-behavior-y: none;
	overscroll-behavior-block: none;
	/* touch-action: none; */
	touch-action: pan-y pan-x;
	-webkit-user-select: none;
	-moz-user-select: none;
	user-select: none;
}

/* To correct issue with Firefox not vertically centering text in button */
button {
	font-family: inherit;
}

body.flipScreen {
	transform: rotate(180deg);
}

.pageContainer {
	display: grid;
	grid-template-columns: 1fr;
	grid-template-rows: auto 1fr auto;
	width: 100vw;
	height: 100vh;
	/* max-width: 600px; */
	max-width: 100vw;
	max-height: 100vh;
	margin: 0 auto;
	overflow: auto;
	overscroll-behavior-y: none;
	overscroll-behavior-block: none;
	touch-action: none;
}

.pageContainer nav {
	background-color: ivory;
	display: grid;
	grid-template-columns: 1fr auto 1fr;
	align-items: center;
	padding: 0.5rem 0 0.3rem 0;
}

.pageContainer .navLeft {
	display: flex;
	align-content: center;
	align-items: center;
	line-height: 0;
}

.pageContainer .navLeft #muteBtn {
	padding: 0 1rem;
	cursor: pointer;
}

/* .pageContainer .navLeft svg { */
/* margin-left: 30px; */
/* cursor: pointer; */
/* } */

.pageContainer .navRight {
	margin-right: 5px;
}

.pageContainer .navCenter {
	font-weight: 800;
	font-size: 1.25rem;
}

.pageContainer nav > *:last-child {
	text-align: right;
}

.pageContainer main {
	position: relative;
	background-color: dodgerblue;
	display: grid;
	grid-template-rows: auto auto auto 1fr;
	grid-template-columns: 1fr;
	overflow: auto;
	gap: 0.5rem;
}

.pageContainer footer {
	color: white;
	background-color: black;
	display: grid;
	grid-template-columns: 1fr auto 1fr;
	align-items: center;
	padding: 0.3rem 0 1.1rem 0;
}

.pageContainer footer > div {
	padding: 0 8px;
}

.pageContainer .footerCenter {
	text-align: center;
}

.pageContainer footer > *:last-child {
	text-align: right;
}

/* =============================== MENU ====================================== */

.menu {
	position: absolute;
	top: 0px;
	left: 0px;
	transform: translateX(-105%);
	overflow: hidden;
	color: #eee;
	background-color: #222;
	transition: ease-in-out 0.2s;
	border-bottom-right-radius: 1rem;
	font-size: 1.25rem;
	border-right: 3px solid ivory;
	border-bottom: 3px solid ivory;
}

.menu.open {
	transform: translateY(0);
}

.menu .menuItem {
	display: flex;
	align-items: center;
	margin: 0.75rem 0.5rem;
	padding: 0.25rem 0.5rem;
	cursor: pointer;
	text-align: center;
}

.menu .menuItem:hover {
	color: #fff;
}

.menu .menuItem .menuText {
	padding-left: 0.25rem;
}

.menu .menuItem .menuText .menuSubText {
	font-size: 0.6em;
}

.menu .menuIcon {
	width: 1em;
	height: auto;
}

.burger {
	display: inline-block;
	cursor: pointer;
	padding: 0 1rem;
}

.burger div {
	width: 25px;
	height: 3px;
	background-color: black;
	margin: 4px 0;
	border-radius: 25px;
	transition: ease-in-out 0.3s;
	/* margin-left: 0.5rem; */
}

.burger.open div:nth-child(1) {
	transform: translateY(7px) rotate(45deg);
}
.burger.open div:nth-child(2) {
	opacity: 0;
	width: 0;
}
.burger.open div:nth-child(3) {
	transform: translateY(-7px) rotate(-45deg);
}

.menuIcon {
	height: 1em;
}

/* ======================================= Counters ====================================== */
/* #counters {
	margin-bottom: 10px;
} */

.counter {
	width: -webkit-fit-content;
	width: -moz-fit-content;
	width: fit-content;
	margin-left: auto;
	text-align: end;
	font-size: 0.85rem;
	color: white;
	padding: 0 5px 5px;
}

.counterPips {
	display: flex;
	justify-content: end;
}

.counterIcon {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 25px;
	width: 25px;
	background-color: white;
	border-radius: 4px;
	border: 1px solid black;
	transition: 2s;
}

.counterIcon span {
	width: 6px;
	height: 6px;
	background-color: black;
	border-radius: 50%;
}

/* ======================================= Players ====================================== */
#players {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	grid-auto-rows: auto;
	grid-gap: 5px;
	padding: 0.5rem 0.3rem;
	max-width: 100vw;
	overflow: auto;
}

#players .player {
	position: relative;
	margin-top: 15px;
	display: flex;
	color: black;
	background-color: lightgrey;
	font-size: 1.25rem;
	padding: 15px 3px 2px;
	border: 2px solid black;
	border-radius: 5px;
	justify-content: space-around;
	white-space: nowrap;
	transition: 1s;
	min-width: 0;
}

#players .btnFlipScreen {
	background-color: red;
	color: white;
	border: 2px solid black;
	font-size: 1rem;
	line-height: 1rem;
	border-radius: 5px;
	padding: 2px 3px;
	position: absolute;
	top: -18px;
	left: 10px;
	height: 32px;
	width: auto;
}

#players .playerName {
	padding: 0px 5px;
	place-self: center;
	font-size: 1.1rem;
	overflow: hidden;
	white-space: nowrap;
	margin-right: 0.25rem;
	/* border: 1px solid black; */
	/* text-overflow: ellipsis; */
}

#players .playerEditIcon {
	position: absolute;
	top: 1px;
	left: 50px;
	height: 14px;
	width: auto;
}

#players .score {
	font-size: 1.25rem;
	font-weight: bold;
}

#players .player.currentPlayer {
	background-color: white;
	border: 4px dashed red;
}

#players .player.winningPlayer {
	border: 5px solid yellow;
	background-color: black;
	color: white;
}

#players .player .btnFlipScreen.screenFlipOn {
	background-color: green;
}

/* ======================================= Get Number of Players ====================================== */

#getNumberOfPlayersBackdrop {
	display: flex;
	justify-content: center;
	align-items: center;
	position: fixed;
	top: 0;
	left: 0%;
	width: 100vw;
	height: 100vh;
	background-color: rgba(0, 0, 0, 0.5);
	transition-property: transform;
	/* transition-delay: 450ms; */
	transition-duration: 350ms;
	transition-timing-function: ease-out;
}

#getNumberOfPlayers {
	max-width: -webkit-fit-content;
	max-width: -moz-fit-content;
	max-width: fit-content;
	background-color: whitesmoke;
	text-align: center;
	padding: 10px 20px;
	border: 3px solid black;
	border-radius: 10px;
}

#getNumberOfPlayers .title {
	font-size: 1.25rem;
	font-weight: bold;
	margin-bottom: 10px;
}

#getNumberOfPlayers form {
	font-size: 1.5rem;
	margin-bottom: 10px;
}

#getNumberOfPlayers form input[type="radio"] {
	transform: scale(1.5);
}

/* ======================================= Scores ====================================== */

#scores {
	display: flex;
	justify-content: space-around;
	/* margin-bottom: 0.5rem; */
}

#scores > * {
	border: 2px solid black;
	padding: 0 25px;
	border-radius: 10px;
	background-color: white;
	text-align: center;
}

#scores .score {
	font-size: 2rem;
	font-weight: bold;
	line-height: 2rem;
	padding-bottom: 3px;
}

/* ======================================= Controls ====================================== */

/* button {
	cursor: pointer;
} */

#controls {
	display: flex;
	align-items: center;
	justify-content: space-around;
	-webkit-user-select: none;
	-moz-user-select: none;
	user-select: none;
	align-self: start;
}

#controls button {
	width: 45%;
	font-size: 1.75rem;
	/* font-size: min(max(1.5rem, 8vw), 3rem); */
	font-weight: 400;
	padding: 5px 10px;
	border-radius: 8px;
	color: white;
	cursor: pointer;
}

#controls #roll {
	background-color: var(--danger-color);
}

#controls #roundScore {
	background-color: var(--success-color);
}

#controls button:disabled {
	pointer-events: none;
	opacity: 0.65;
	border: 1px solid transparent;
}

/* ======================================= Dice ====================================== */

#diceSet {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	grid-template-rows: auto auto;
	align-items: center;
	justify-items: center;
	grid-gap: 5px;
	margin: 0 auto;
	padding: 1.5rem 0.5rem;
	overflow: hidden;
	-webkit-user-drag: none;
	-webkit-user-select: none;
	-moz-user-select: none;
	user-select: none;
	width: 100%;
	max-width: 105vh;
}

.dieContainer {
	position: relative;
	width: 100%;
	height: 0;
	overflow: hidden;
	padding-top: 100%;
	position: relative;
	border: 3px solid black;
	border-radius: 10px;
	box-shadow: 2px 2px 15px 2px;
	-webkit-user-drag: none;
	-webkit-user-select: none;
	-moz-user-select: none;
	user-select: none;
}

.die {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: white;
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	grid-template-rows: repeat(3, 1fr);
	align-items: center;
	justify-items: center;
	transition: background-color 150ms ease-in-out;
	-webkit-user-drag: none;
	-webkit-user-select: none;
	-moz-user-select: none;
	user-select: none;
}

#diceSet.diceBusted .die:not(.dieHeld) {
	background-color: rgba(255, 0, 0, 0.5);
}

.dot {
	background-color: rgb(253, 87, 87);
	width: 60%;
	height: 60%;
	border: 1px solid black;
	border-radius: 50%;
	color: lime;
	pointer-events: none;
	box-shadow: 1px 1px 7px 2px #333 inset;
	transition: opacity 200ms ease-in-out;
	-webkit-user-drag: none;
	-webkit-user-select: none;
	-moz-user-select: none;
	user-select: none;
}

.die.dieSelected .dot {
	background-color: springgreen;
}

.die.dieHeld {
	background-color: rgba(0, 0, 0, 0.6);
}

/* .dieSpin {
	animation-name: spinDie;
	animation-duration: 1400ms;
	animation-timing-function: linear;
	animation-iteration-count: 1;
} */

/* Make font a little smaller on small screens */
@media screen and (max-width: 350px) {
	html {
		font-size: 0.8rem;
	}
}

/* Make dice a little smaller on small screen */
@media screen and (max-width: 350px) {
	#diceSet {
		padding: 0 5%;
	}
}

/* ============================================ Table ======================== */
#leaderboardTable,
#hallOfFameTable {
	margin: 0.1rem auto 1.5rem;
	border-collapse: collapse;
	border: 1px solid black;
}

#leaderboardTable tr:nth-child(even),
#hallOfFameTable tr:nth-child(even) {
	background-color: #e6e6e6;
}

#leaderboardTable th,
#leaderboardTable td,
#hallOfFameTable th,
#hallOfFameTable td {
	border: 2px solid #000;
	text-align: center;
	padding: 0 0.25rem;
	white-space: nowrap;
}

#leaderboardTable thead tr:last-child th,
#hallOfFameTable thead tr:last-child th {
	color: white;
	background-color: black;
}

/* @keyframes spinDie {
	0% {
		transform: rotate(0deg) scale(100%);
	}
	25% {
		transform: rotate(180deg) scale(50%);
	}
	50% {
		transform: rotate(360deg) scale(25%);
	}
	75% {
		transform: rotate(540deg) scale(50%);
	}
	100% {
		transform: rotate(720deg) scale(100%);
	}
} */

#statsTable {
	margin: 0.1rem auto 1.5rem;
	border-collapse: collapse;
	border: 1px solid black;
}

#statsTable tr:nth-child(even) {
	background-color: #e6e6e6;
}

#statsTable th,
#statsTable td {
	border: 2px solid #000;
	text-align: center;
	padding: 0 0.25rem;
	white-space: nowrap;
}

#statsTable thead tr:last-child th {
	color: white;
	background-color: black;
}

/* ============================================ Utility ======================== */
/* Look in cwBootstrap.css */

/* Landscape view */
/* @media (min-aspect-ratio: 10/9) { */
@media (min-aspect-ratio: 1/1) {
	.pageContainer main {
		grid-template-rows: repeat(3, 1fr);
		grid-template-columns: 1fr 1fr;
		gap: 0;
	}

	.pageContainer #mainScoreboard {
		grid-row-start: 1;
		grid-column-start: 1;
		align-self: end;
	}

	.pageContainer #scores {
		grid-row-start: 2;
		grid-column-start: 1;
		align-self: center;
		padding: 0.5rem;
	}

	.pageContainer #controls {
		grid-row-start: 3;
		grid-column-start: 1;
		align-self: start;
		padding: 0.5rem;
	}

	.pageContainer #diceSet {
		grid-row-start: 1;
		grid-row-end: 4;
		grid-column-start: 2;
		align-self: center;
	}
}
